Name:           kiran-manual      
Version:        2.6.0
Release:        1
Summary:        Kiran Manual

License:        MulanPSL-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  kiran-widgets-qt5-devel
BuildRequires:  kiran-log-qt5-devel
BuildRequires:  kiran-qt5-integration-devel
Requires:    qt5-qtbase
Requires:    kiran-widgets-qt5
Requires:    kiran-log-qt5
Requires:    gtk-update-icon-cache
Requires:	kiran-qt5-integration

%description
This is a document viewer with kiran desktop environment.

%prep
%autosetup -p1

%build
%{__mkdir} -p %{buildroot}
%cmake
make %{?_smp_mflags}

%post
gtk-update-icon-cache -f /usr/share/icons/hicolor/

%install
%make_install

%files
%{_bindir}/kiran-manual
%{_datadir}/kiran-manual/data/km.ini
%{_datadir}/kiran-manual/data/documents/*
%{_datadir}/applications/*.desktop
%{_datadir}/kiran-manual/translations/*.qm
%{_datadir}/icons/hicolor/16x16/apps/kiran-manual.png
%{_datadir}/icons/hicolor/22x22/apps/kiran-manual.png
%{_datadir}/icons/hicolor/24x24/apps/kiran-manual.png
%{_datadir}/icons/hicolor/32x32/apps/kiran-manual.png
%{_datadir}/icons/hicolor/48x48/apps/kiran-manual.png
%{_datadir}/icons/hicolor/64x64/apps/kiran-manual.png
%{_datadir}/icons/hicolor/96x96/apps/kiran-manual.png

%clean
rm -rf ${buildroot}

%changelog
* Tue Dec 12 2023 youzhengcai <youzhengcai@kylinsec.com.cn> - 2.6.0-1
- Initial Version for 2.6.

